Summary: GNU uucp
Name: uucp
Version: 1.06.1
Release: 14
Copyright: GPL
Group: Daemons
Source: ftp://prep.ai.mit.edu/pub/gnu/uucp-1.06.1.tar.gz
Source1: uucp.log
Patch: uucp-1.06.1-misc.patch
Patch1: uucp-1.06.1-uureroute.patch
Prereq: fileutils /sbin/install-info
BuildRoot: /var/tmp/uucp-root

%description
UUCP is a Unix to Unix transfer mechanism.  It is used primarily
for remote sites to download and upload email and news files to local
machines. If you didn't already know that, you probably don't need this
package installed.  :-)

%changelog

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- spec file cleanups
- added install-info support
- uses a build root

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>

- patched uureroute to find perl in /usr/bin instead of /usr/local/bin
- made log files ghosts

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

- Brian Candler fixed /usr/lib/uucp/uucico symlink
- Added "create" entries to log file rotation configuration
- Touch log files on install if they don't already exist to allow proper
  rotation

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- symlinked /usr/sbin/uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

%prep
%setup
%patch -p1 -b .config
%patch1 -p1 -b .perlpath

find . -name "*.perlpath" | xargs rm

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make prefix="$RPM_BUILD_ROOT/usr" install
make prefix="$RPM_BUILD_ROOT/usr" install-info

gzip -9nf $RPM_BUILD_ROOT/usr/info/uucp*
mkdir -p $RPM_BUILD_ROOT/var/spool/uucp
mkdir -p $RPM_BUILD_ROOT/var/spool/uucppublic
chown uucp $RPM_BUILD_ROOT/var/spool/uucp
chown uucp $RPM_BUILD_ROOT/var/spool/uucppublic
mkdir -p $RPM_BUILD_ROOT/etc/uucp/oldconfig
chown uucp.uucp $RPM_BUILD_ROOT/etc/uucp $RPM_BUILD_ROOT/etc/uucp/oldconfig
chmod 770 $RPM_BUILD_ROOT/etc/uucp $RPM_BUILD_ROOT/etc/uucp/oldconfig

rm -rf $RPM_BUILD_ROOT/var/log/uucp
mkdir -p $RPM_BUILD_ROOT/var/log/uucp
chown uucp.uucp $RPM_BUILD_ROOT/var/log/uucp

strip $RPM_BUILD_ROOT/usr/sbin/uucico
strip $RPM_BUILD_ROOT/usr/sbin/uuxqt
strip $RPM_BUILD_ROOT/usr/sbin/uuchk
strip $RPM_BUILD_ROOT/usr/sbin/uuconv

for n in uux uucp uustat uuname uulog uupick cu; do
    strip $RPM_BUILD_ROOT/usr/bin/$n
done

mkdir -p $RPM_BUILD_ROOT/usr/lib/uucp
ln -sf ../../sbin/uucico $RPM_BUILD_ROOT/usr/lib/uucp/uucico

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/uucp.log $RPM_BUILD_ROOT/etc/logrotate.d/uucp

# Create ghost files
for n in Log Stats Debug; do
	touch $RPM_BUILD_ROOT/var/log/uucp/$n
done

chown uucp.uucp $RPM_BUILD_ROOT/var/log/uucp/{Log,Stats,Debug}
chmod 644 $RPM_BUILD_ROOT/var/log/uucp/{Log,Stats}
chmod 600 $RPM_BUILD_ROOT/var/log/uucp/Debug

%clean 
rm -rf $RPM_BUILD_ROOT

%post
# Create initial log files so that logrotate doesn't complain
for n in Log Stats Debug; do
	[ -f /var/log/uucp/$n ] || touch /var/log/uucp/$n
done

chown uucp.uucp /var/log/uucp/{Log,Stats,Debug}
chmod 644 /var/log/uucp/{Log,Stats}
chmod 600 /var/log/uucp/Debug

/sbin/install-info /usr/info/uucp.info.gz /usr/info/dir

%preun
/sbin/install-info --del /usr/info/uucp.info.gz /usr/info/dir

%files
%doc README COPYING ChangeLog MANIFEST NEWS
%doc sample contrib
%dir /var/spool/uucp
%dir /var/spool/uucppublic
%dir /etc/uucp
%dir /etc/uucp/oldconfig
/usr/info/uucp.info-1.gz
/usr/info/uucp.info-2.gz
/usr/info/uucp.info-3.gz
/usr/info/uucp.info-4.gz
/usr/info/uucp.info-5.gz
/usr/info/uucp.info-6.gz
/usr/info/uucp.info-7.gz
/usr/info/uucp.info-8.gz
/usr/info/uucp.info.gz
/usr/sbin/uucico
/usr/sbin/uuxqt
/usr/sbin/uuchk
/usr/sbin/uuconv
/usr/sbin/uusched
/usr/bin/uux
/usr/bin/uucp
/usr/bin/uustat
/usr/bin/uuname
/usr/bin/uulog
/usr/bin/uuto
/usr/bin/uupick
/usr/bin/cu
/usr/man/man8/uucico.8
/usr/man/man8/uuxqt.8
/usr/man/man1/uux.1
/usr/man/man1/uucp.1
/usr/man/man1/uustat.1
/usr/man/man1/cu.1
/usr/lib/uucp/uucico
%dir /var/log/uucp
%config /etc/logrotate.d/uucp
%ghost /var/log/uucp/Log
%ghost /var/log/uucp/Stats
%ghost /var/log/uucp/Debug
